# jCoders Front End Training
This repo contains the interactive web on Front end Training, it includes all the resources, content and materials that will be used through the training program.

The web app runs using [WebPack](https://webpack.js.org/), it is programmed using [React](https://reactjs.org/) and [Redux](https://redux.js.org/)

Dependencies
---------------------

In order to install this project you first need to install [npm](https://www.npmjs.com/)

Installation and Usage
----------------------

Clone or download the repository and run (on the project root)

       npm install

After that use either

      npm start

to start the webpack dev server on [http://localhost:8080/](http://localhost:8080/)
or

       npm run build

to build it!

Gitlab Pages
--------------------

The repository is available at the following location: [https://agon.lohaj.gitlab.io/jcoders-front-end-training-program/](https://agon.lohaj.gitlab.io/jcoders-front-end-training-program/).
Refreshing the page currently doesn't work at a specific location, you always have to start over from the base url due to the static pages configuration of GitLab!

IDE
--------------------

WebStorm, VS Code, Sublime.

Documentation
--------------------
This project itself is a documentation of the training program

"Your Name Here"
---------------------
